#!/usr/bin/env bash

_generate_dict(){
	grep -E '^.{5,14}$' /usr/share/dict/words >wordlist
}

_jibberish() {
	for (( c=1; c<=wordcount; c++ )); do
		sed "$(( RANDOM % range ))q;d" wordlist
	done
}

if [ ! -e wordlist ]; then
	_generate_dict
fi

IFS=':' read -r wordcount sep <<<"$1"
wordcount=${wordcount:-8}
sep=${sep:0:1}
sep=${sep:-" "}

read -r range _ < <(wc -l wordlist)
for (( c=1; c<=10; c++ )); do
	IFS= read -r COL1 < <(_jibberish | tr '\n' "$sep" | rev | cut -c2- | rev)
	HASH=$(echo "$COL1" | md5)
	echo "$COL1:$HASH"
done |
column -s":" -t
